org.keycloak.saml.processing.core.saml.v2.factories

## Class JBossSAMLAuthnResponseFactory

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.factories.JBossSAMLAuthnResponseFactory

-     public class JBossSAMLAuthnResponseFactory
      extends Object

  Factory for the SAML v2 Authn Response
  Since:
    Dec 9, 2008
  Author:
    Anil.Saldhana@redhat.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JBossSAMLAuthnResponseFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseType` | `createResponseType(String ID, IssuerInfoHolder issuerInfo, AssertionType assertionType)` Create a Response Type
    `static ResponseType` | `createResponseType(String ID, IssuerInfoHolder issuerInfo, Element encryptedAssertion)` Create a Response Type
    `static ResponseType` | `createResponseType(String ID, SPInfoHolder sp, IDPInfoHolder idp, IssuerInfoHolder issuerInfo)` Create a ResponseType
    `static StatusType` | `createStatusType(String statusCodeURI)` Create a StatusType given the status code uri
    `static StatusType` | `createStatusTypeForResponder(String statusCodeURI)` Create a `StatusType` with a top-level `org.picketlink.common.constants.JBossSAMLURIConstants.STATUS_RESPONDER` and a second-level code reflecting the given `statusCodeURI`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JBossSAMLAuthnResponseFactory

          public JBossSAMLAuthnResponseFactory()

  - ### Method Detail

    - #### createStatusType

          public static StatusType createStatusType(String statusCodeURI)

      Create a StatusType given the status code uri
      Parameters:
        `statusCodeURI` -
      Returns:

    - #### createStatusTypeForResponder

          public static StatusType createStatusTypeForResponder(String statusCodeURI)

      Create a `StatusType` with a top-level `org.picketlink.common.constants.JBossSAMLURIConstants.STATUS_RESPONDER` and a second-level code reflecting the given `statusCodeURI`.

      Parameters:
        `statusCodeURI` - The second-level code.
      Returns:

    - #### createResponseType

          public static ResponseType createResponseType(String ID,
                                                        SPInfoHolder sp,
                                                        IDPInfoHolder idp,
                                                        IssuerInfoHolder issuerInfo)
                                                 throws ConfigurationException

      Create a ResponseType
      Parameters:
        `ID` - id of the response
        `sp` - holder with the information about the Service Provider
        `idp` - holder with the information on the Identity Provider
        `issuerInfo` - holder with information on the issuer
      Returns:
      Throws:
        `ConfigurationException`

    - #### createResponseType

          public static ResponseType createResponseType(String ID,
                                                        IssuerInfoHolder issuerInfo,
                                                        AssertionType assertionType)
                                                 throws ConfigurationException

      Create a Response Type
      Parameters:
        `ID` -
        `issuerInfo` -
        `assertionType` -
      Returns:
      Throws:
        `ConfigurationException`

    - #### createResponseType

          public static ResponseType createResponseType(String ID,
                                                        IssuerInfoHolder issuerInfo,
                                                        Element encryptedAssertion)
                                                 throws ConfigurationException

      Create a Response Type
      Parameters:
        `ID` -
        `issuerInfo` -
        `encryptedAssertion` - a DOM `Element` that represents an encrypted assertion
      Returns:
      Throws:
        `ConfigurationException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.